Bug 17039 - [PATCH] HSSFHeader and HSSFFooter doesnot support DBCS
Summary: [PATCH] HSSFHeader and HSSFFooter doesnot support DBCS
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.0-pre3
Hardware: All other
: P1 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-13 03:59 UTC by Toshiaki Kamoshida
Modified: 2005-04-28 07:27 UTC (History)
0 users



Attachments
Testcase for this problem. (1.87 KB, text/plain)
2003-02-13 04:03 UTC, Toshiaki Kamoshida
Details
PATCH for this probrem. (6.92 KB, patch)
2003-02-13 04:06 UTC, Toshiaki Kamoshida
Details | Diff
I resubmit testcases as 2 new classes. Is this OK? (8.35 KB, patch)
2003-02-17 04:16 UTC, Toshiaki Kamoshida
Details | Diff
Patches and testcases are zipped. (9.68 KB, application/zip)
2003-04-11 02:53 UTC, Toshiaki Kamoshida
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toshiaki Kamoshida 2003-02-13 03:59:34 UTC
This is the representation of Bug 14733.
HSSFHeader and HSSFFooter are now supported only single byte characters.
If you set DBCS at thease objects,each unicode character's high bytes are 
always disposed when serialize it.
Comment 1 Toshiaki Kamoshida 2003-02-13 04:03:16 UTC
Created attachment 4849 [details]
Testcase for this problem.
Comment 2 Toshiaki Kamoshida 2003-02-13 04:06:35 UTC
Created attachment 4850 [details]
PATCH for this probrem.
Comment 3 Rainer Klute 2003-02-14 17:13:01 UTC
Could you please supply the testcase as a patch? I applied the patch locally and
it compiles okay, but I am reluctant to submit it to the CVS repository without
having the testcase working.
Comment 4 Toshiaki Kamoshida 2003-02-17 04:16:57 UTC
Created attachment 4894 [details]
I resubmit testcases as 2 new classes. Is this OK?
Comment 5 Toshiaki Kamoshida 2003-03-27 11:15:09 UTC
What should I do?More test case?
Or resubmit patch with other solution? 
Comment 6 Andy Oliver 2003-03-27 15:56:56 UTC
For starters, preface with the word [PATCH] in the subject ;-)
Comment 7 Toshiaki Kamoshida 2003-03-28 08:36:49 UTC
Oh, sorry...
I feel Mr.Rainer Klute already evaluated my attatchments.

In my patch,deciding logic to serialize as compressed or raw unicode is in 
FooterRecord and HeaderRecord.(Only checking character code greater than 0xff 
is existed or not...it works correctly in my local some testcases,but I don't 
know it is truly correct for OLE2 specification XP)

But now in POI library,responsibility to manage the encoding mode is not in 
library,but in users(like HSSFCell).My patch is different style from that POI 
currently doing.

Is it OK?
Comment 8 Andy Oliver 2003-04-11 02:32:56 UTC
can you resubmit the classes as a directoring preserving zip relative to the
jakarta-poi module?  this looks good to me.  In that case, I'll apply it.
Comment 9 Toshiaki Kamoshida 2003-04-11 02:53:42 UTC
Created attachment 5785 [details]
Patches and testcases are zipped.
Comment 10 Andy Oliver 2003-07-24 15:42:23 UTC
IIRC I kpet having trouble getting the patches to apply.  We should fix this for
2.0....  I'm hoping Tetsuya "i18n czar" can help.
Comment 11 Toshiaki Kamoshida 2003-11-10 09:44:40 UTC
I'm sorry,I had left from your project and had sunk at an another deep one in 
my business so long,and forgotten about it. 
Can I help you about it? Please teach me what is invalid in my patches or my 
ways to send.I'm not good about English,so I hope Mr.Tetsuya help me :) 
Comment 12 Toshiaki Kamoshida 2004-01-08 06:41:11 UTC
It looks surviving as a problem,don't you?
The current source of record.HeaderRecord(Rev1.10) and record.FooterRecord
(Rev1.10) are still not supported DBCS,and string-value is dealed as SBCS 
always.
Plz teach me what should I do...
Comment 13 Avik Sengupta 2005-04-28 15:27:21 UTC
Fixed. Sorry it too so long, but patch did not apply cleanly, had to manually
copy  chunks, and then edit. Also easier to see whats going on if patch is
unified (diff -u).  

Added reading tests as well, which were missing.